你最常见的古腾堡问题得到了回答

开源平台 1年前 (2020) zhuge
347 0 0
你最常见的古腾堡问题得到了回答

几个月前,我们介绍了WordPress社区大使。我们宣布,我们将支持这些非常有资格的人去wordcamp旅行和演讲,这样他们就可以继续分享他们的专业知识,并鼓舞其他WordPress用户。现在,我们希望他们在我们的博客上有自己的位置,并怀着同样的目的——教育和帮助我们的读者更好地了解WordPress的细节。

我们将与大家分享的第一篇文章是Joe Casabona写的关于古登堡的文章,这是过去10-12个月来社区里最热门的话题。乔是一个很棒的教练,他的天赋是让任何人都容易理解复杂的事情。在过去的一年里,他孜孜不倦地为Gutenberg (WordPress 5.0中包含的新块编辑器)编写培训材料。这是他为SiteGround博客写的第一篇文章,敬请欣赏!

WordPress 5.0最近发布了。5.0中最引人注目的新特性是基于块的新编辑器,也称为Gutenberg。虽然它肯定会真正改善内容创建体验,但围绕更新和它对当前网站意味着什么还有很多问题。以下是迄今为止我和SiteGround团队从WordPress用户那里收到的一些最常见的问题的答案。

我以前的帖子会怎么样?

你的旧帖子会很好!升级之后有两件事会影响到它们:

您需要使用新的块编辑器在wp-admin中打开文章进行编辑。

你需要点击一个“转换为块”的按钮,让你的内容从一个块转换成几个单独的块。

除非你同时做这两件事,否则对于每一篇内容来说,你以前的帖子都是安全可靠的。你可以在这里观看如何升级内容的视频。

使用页面生成器的帖子会发生什么?

由于页面构建器是第三方插件,所以最好直接接触它们并询问它们的插件将如何受到影响,因为您的情况可能会有所不同。如果我们看几个例子,Elementor 和Beaver Builder都添加了完全的Gutenberg兼容性,这意味着如果你使用它们中的任何一个,你用它们构建的任何东西都会工作相同。

Elementor团队更进一步,将他们自己的Elementor模块添加到Gutenberg中。这将允许您在Gutenberg编辑器中嵌入Elementor模板。超级酷!

带有自定义字段的帖子会发生什么?

自定义字段将显示在古登堡的块编辑器下,有一些插件可以在块中添加更好的自定义字段支持,比如ACF,或者稍微改变一下界面,这样它们就会出现在侧栏中。

但是,如果您使用的是php定义的自定义字段,那么它们的工作方式与当前编辑器中的工作方式完全相同。

古登堡有什么兼容的主题吗?

是的!许多主题最近都宣布了古登堡兼容性。对于您的特定主题,您应该联系创建它的开发人员,看看他们是否有支持Gutenberg的计划。

如果您有一个自定义开发的主题,您应该查询更新它的成本。

WordPress 5.0也发布了它自己的gutenberg友好的主题。

我如何检查我使用的插件是否与古登堡兼容?

与页面构建器非常相似,您应该检查插件开发人员是否对Gutenberg支持发表了声明。如果他们没有,那就联系他们!

版权声明:zhuge 发表于 2020年4月11日 下午2:04。
转载请注明:你最常见的古腾堡问题得到了回答 | 书澳网址导航

相关文章

暂无评论

暂无评论...